## MmGdbusModemSimple MmGdbusModemSimple — Generated C code for the org.freedesktop.ModemManager1.Modem.Simple D-Bus interface |

## Functions

void | mm_gdbus_modem_simple_call_connect ()
gboolean | mm_gdbus_modem_simple_call_connect_finish ()
gboolean | mm_gdbus_modem_simple_call_connect_sync ()
void | mm_gdbus_modem_simple_call_disconnect ()
gboolean | mm_gdbus_modem_simple_call_disconnect_finish ()
gboolean | mm_gdbus_modem_simple_call_disconnect_sync ()
void | mm_gdbus_modem_simple_call_get_status ()
gboolean | mm_gdbus_modem_simple_call_get_status_finish ()
gboolean | mm_gdbus_modem_simple_call_get_status_sync ()

## Signals

gboolean | handle-connect | Run Last
gboolean | handle-disconnect | Run Last
gboolean | handle-get-status | Run Last

## Types and Values

| MmGdbusModemSimple
struct | MmGdbusModemSimpleIface

## Object Hierarchy

        GInterface
        ╰── MmGdbusModemSimple

## Prerequisites

MmGdbusModemSimple requires GObject.

## Known Implementations

MmGdbusModemSimple is implemented by MMModemSimple, MmGdbusModemSimpleProxy and MmGdbusModemSimpleSkeleton.

## Description

This section contains code for working with the org.freedesktop.ModemManager1.Modem.Simple D-Bus interface in C.

## Functions

### mm_gdbus_modem_simple_call_connect ()

    void
    mm_gdbus_modem_simple_call_connect (MmGdbusModemSimple *proxy,
                                        GVariant *arg_properties,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Asynchronously invokes the `Connect()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem_simple_call_connect_finish()` to get the result of the operation.

See `mm_gdbus_modem_simple_call_connect_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModemSimpleProxy. |
arg_properties | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem_simple_call_connect_finish ()

    gboolean
    mm_gdbus_modem_simple_call_connect_finish
                                   (MmGdbusModemSimple *proxy,
                                    gchar **out_bearer,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_modem_simple_call_connect()`.

#### Parameters

proxy | A MmGdbusModemSimpleProxy. |
out_bearer | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem_simple_call_connect()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_simple_call_connect_sync ()

    gboolean
    mm_gdbus_modem_simple_call_connect_sync
                                   (MmGdbusModemSimple *proxy,
                                    GVariant *arg_properties,
                                    gchar **out_bearer,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Connect()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem_simple_call_connect()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModemSimpleProxy. |
arg_properties | Argument to pass with the method invocation. |
out_bearer | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_simple_call_disconnect ()

    void
    mm_gdbus_modem_simple_call_disconnect (MmGdbusModemSimple *proxy,
                                           const gchar *arg_bearer,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Asynchronously invokes the `Disconnect()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem_simple_call_disconnect_finish()` to get the result of the operation.

See `mm_gdbus_modem_simple_call_disconnect_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModemSimpleProxy. |
arg_bearer | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem_simple_call_disconnect_finish ()

    gboolean
    mm_gdbus_modem_simple_call_disconnect_finish
                                   (MmGdbusModemSimple *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_modem_simple_call_disconnect()`.

#### Parameters

proxy | A MmGdbusModemSimpleProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem_simple_call_disconnect()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_simple_call_disconnect_sync ()

    gboolean
    mm_gdbus_modem_simple_call_disconnect_sync
                                   (MmGdbusModemSimple *proxy,
                                    const gchar *arg_bearer,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Disconnect()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem_simple_call_disconnect()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModemSimpleProxy. |
arg_bearer | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_simple_call_get_status ()

    void
    mm_gdbus_modem_simple_call_get_status (MmGdbusModemSimple *proxy,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Asynchronously invokes the `GetStatus()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem_simple_call_get_status_finish()` to get the result of the operation.

See `mm_gdbus_modem_simple_call_get_status_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModemSimpleProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem_simple_call_get_status_finish ()

    gboolean
    mm_gdbus_modem_simple_call_get_status_finish
                                   (MmGdbusModemSimple *proxy,
                                    GVariant **out_properties,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_modem_simple_call_get_status()`.

#### Parameters

proxy | A MmGdbusModemSimpleProxy. |
out_properties | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem_simple_call_get_status()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_simple_call_get_status_sync ()

    gboolean
    mm_gdbus_modem_simple_call_get_status_sync
                                   (MmGdbusModemSimple *proxy,
                                    GVariant **out_properties,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetStatus()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem_simple_call_get_status()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModemSimpleProxy. |
out_properties | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

## Types and Values

### MmGdbusModemSimple

    typedef struct _MmGdbusModemSimple MmGdbusModemSimple;

Abstract interface type for the D-Bus interface org.freedesktop.ModemManager1.Modem.Simple.

### struct MmGdbusModemSimpleIface

    struct MmGdbusModemSimpleIface {
      GTypeInterface parent_iface;

      gboolean (*handle_connect) (
        MmGdbusModemSimple *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_properties);

      gboolean (*handle_disconnect) (
        MmGdbusModemSimple *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_bearer);

      gboolean (*handle_get_status) (
        MmGdbusModemSimple *object,
        GDBusMethodInvocation *invocation);
    };

Virtual table for the D-Bus interface org.freedesktop.ModemManager1.Modem.Simple.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_connect` () | Handler for the “handle-connect” signal. |
`handle_disconnect` () | Handler for the “handle-disconnect” signal. |
`handle_get_status` () | Handler for the “handle-get-status” signal. |

## Signal Details

### The `“handle-connect”` signal

    gboolean
    user_function (MmGdbusModemSimple    *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_properties,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Connect()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem_simple_complete_connect()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModemSimple. |
invocation | A GDBusMethodInvocation. |
arg_properties | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-disconnect”` signal

    gboolean
    user_function (MmGdbusModemSimple    *object,
                   GDBusMethodInvocation *invocation,
                   char                  *arg_bearer,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Disconnect()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem_simple_complete_disconnect()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModemSimple. |
invocation | A GDBusMethodInvocation. |
arg_bearer | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-get-status”` signal

    gboolean
    user_function (MmGdbusModemSimple    *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `GetStatus()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem_simple_complete_get_status()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModemSimple. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last